Xalan-Java 2.7.1: Interface DOM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc
Interface DOM

All Known Subinterfaces:
  DOMEnhancedForDTM

All Known Implementing Classes:
  DOMAdapter, MultiDOM, SimpleResultTreeImpl

public interface DOM

Field Summary
`static int` | `ADAPTIVE_RTF`
`static int` | `FIRST_TYPE`
`static int` | `NO_TYPE`
`static int` | `NULL`
`static int` | `RETURN_CURRENT`
`static int` | `RETURN_PARENT`
`static int` | `SIMPLE_RTF`
`static int` | `TREE_RTF`

Method Summary
`void` | `characters(int textNode, SerializationHandler handler)`
`void` | `copy(DTMAxisIterator nodes, SerializationHandler handler)`
`void` | `copy(int node, SerializationHandler handler)`
`int` | `getAttributeNode(int gType, int element)`
`DTMAxisIterator` | `getAxisIterator(int axis)`
`DTMAxisIterator` | `getChildren(int node)`
`int` | `getDocument()`
`java.lang.String` | `getDocumentURI(int node)`
`Hashtable` | `getElementsWithIDs()`
`int` | `getExpandedTypeID(int node)`
`DTMAxisIterator` | `getIterator()` returns singleton iterator containg the document root
`java.lang.String` | `getLanguage(int node)`
`DTMAxisIterator` | `getNamespaceAxisIterator(int axis, int ns)`
`java.lang.String` | `getNamespaceName(int node)`
`int` | `getNamespaceType(int node)`
`int` | `getNodeHandle(int nodeId)`
`int` | `getNodeIdent(int nodehandle)`
`java.lang.String` | `getNodeName(int node)`
`java.lang.String` | `getNodeNameX(int node)`
`DTMAxisIterator` | `getNodeValueIterator(DTMAxisIterator iter, int returnType, java.lang.String value, boolean op)`
`int` | `getNSType(int node)`
`DTMAxisIterator` | `getNthDescendant(int node, int n, boolean includeself)`
`SerializationHandler` | `getOutputDomBuilder()`
`int` | `getParent(int node)`
`DOM` | `getResultTreeFrag(int initialSize, int rtfType)`
`DOM` | `getResultTreeFrag(int initialSize, int rtfType, boolean addToDTMManager)`
`int` | `getSize()`
`java.lang.String` | `getStringValue()`
`java.lang.String` | `getStringValueX(int node)`
`DTMAxisIterator` | `getTypedAxisIterator(int axis, int type)`
`DTMAxisIterator` | `getTypedChildren(int type)`
`java.lang.String` | `getUnparsedEntityURI(java.lang.String name)`
`boolean` | `isAttribute(int node)`
`boolean` | `isElement(int node)`
`boolean` | `lessThan(int node1, int node2)`
`java.lang.String` | `lookupNamespace(int node, java.lang.String prefix)`
`Node` | `makeNode(DTMAxisIterator iter)`
`Node` | `makeNode(int index)`
`NodeList` | `makeNodeList(DTMAxisIterator iter)`
`NodeList` | `makeNodeList(int index)`
`DTMAxisIterator` | `orderNodes(DTMAxisIterator source, int node)`
`void` | `setFilter(StripFilter filter)`
`void` | `setupMapping(java.lang.String[] names, java.lang.String[] urisArray, int[] typesArray, java.lang.String[] namespaces)`
`java.lang.String` | `shallowCopy(int node, SerializationHandler handler)`

Field Detail

### FIRST_TYPE

    public static final int FIRST_TYPE

### NO_TYPE

    public static final int NO_TYPE

### NULL

    public static final int NULL

### RETURN_CURRENT

    public static final int RETURN_CURRENT

### RETURN_PARENT

    public static final int RETURN_PARENT

### SIMPLE_RTF

    public static final int SIMPLE_RTF

### ADAPTIVE_RTF

    public static final int ADAPTIVE_RTF

### TREE_RTF

    public static final int TREE_RTF

Method Detail

### getIterator

    public DTMAxisIterator getIterator()

  returns singleton iterator containg the document root

### getStringValue

    public java.lang.String getStringValue()

### getChildren

    public DTMAxisIterator getChildren(int node)

### getTypedChildren

    public DTMAxisIterator getTypedChildren(int type)

### getAxisIterator

    public DTMAxisIterator getAxisIterator(int axis)

### getTypedAxisIterator

    public DTMAxisIterator getTypedAxisIterator(int axis,
                                                int type)

### getNthDescendant

    public DTMAxisIterator getNthDescendant(int node,
                                            int n,
                                            boolean includeself)

### getNamespaceAxisIterator

    public DTMAxisIterator getNamespaceAxisIterator(int axis,
                                                    int ns)

### getNodeValueIterator

    public DTMAxisIterator getNodeValueIterator(DTMAxisIterator iter,
                                                int returnType,
                                                java.lang.String value,
                                                boolean op)

### orderNodes

    public DTMAxisIterator orderNodes(DTMAxisIterator source,
                                      int node)

### getNodeName

    public java.lang.String getNodeName(int node)

### getNodeNameX

    public java.lang.String getNodeNameX(int node)

### getNamespaceName

    public java.lang.String getNamespaceName(int node)

### getExpandedTypeID

    public int getExpandedTypeID(int node)

### getNamespaceType

    public int getNamespaceType(int node)

### getParent

    public int getParent(int node)

### getAttributeNode

    public int getAttributeNode(int gType,
                                int element)

### getStringValueX

    public java.lang.String getStringValueX(int node)

### copy

    public void copy(int node,
                     SerializationHandler handler)
              throws TransletException

### copy

    public void copy(DTMAxisIterator nodes,
                     SerializationHandler handler)
              throws TransletException

### shallowCopy

    public java.lang.String shallowCopy(int node,
                                        SerializationHandler handler)
                                 throws TransletException

### lessThan

    public boolean lessThan(int node1,
                            int node2)

### characters

    public void characters(int textNode,
                           SerializationHandler handler)
                    throws TransletException

### makeNode

    public Node makeNode(int index)

### makeNode

    public Node makeNode(DTMAxisIterator iter)

### makeNodeList

    public NodeList makeNodeList(int index)

### makeNodeList

    public NodeList makeNodeList(DTMAxisIterator iter)

### getLanguage

    public java.lang.String getLanguage(int node)

### getSize

    public int getSize()

### getDocumentURI

    public java.lang.String getDocumentURI(int node)

### setFilter

    public void setFilter(StripFilter filter)

### setupMapping

    public void setupMapping(java.lang.String[] names,
                             java.lang.String[] urisArray,
                             int[] typesArray,
                             java.lang.String[] namespaces)

### isElement

    public boolean isElement(int node)

### isAttribute

    public boolean isAttribute(int node)

### lookupNamespace

    public java.lang.String lookupNamespace(int node,
                                            java.lang.String prefix)
                                     throws TransletException

### getNodeIdent

    public int getNodeIdent(int nodehandle)

### getNodeHandle

    public int getNodeHandle(int nodeId)

### getResultTreeFrag

    public DOM getResultTreeFrag(int initialSize,
                                 int rtfType)

### getResultTreeFrag

    public DOM getResultTreeFrag(int initialSize,
                                 int rtfType,
                                 boolean addToDTMManager)

### getOutputDomBuilder

    public SerializationHandler getOutputDomBuilder()

### getNSType

    public int getNSType(int node)

### getDocument

    public int getDocument()

### getUnparsedEntityURI

    public java.lang.String getUnparsedEntityURI(java.lang.String name)

### getElementsWithIDs

    public Hashtable getElementsWithIDs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.